<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Infrastructure</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__infra.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Infrastructure</div>  </div>
</div><!--header-->
<div class="contents">

<p>C++ core.  
<a href="#details">More...</a></p>
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>C++ core. </p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for Infrastructure:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<center><table><tr><td><div class="center"><iframe scrolling="no" frameborder="0" src="group__infra.svg" width="250" height="240"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:group__infra__transport"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__infra__transport.html">Transports</a></td></tr>
<tr class="memdesc:group__infra__transport"><td class="mdescLeft">&#160;</td><td class="mdescRight">Superclasses for building transports. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group__infra__utility"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__infra__utility.html">Utilities</a></td></tr>
<tr class="memdesc:group__infra__utility"><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility code used by the infrastructure. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group__infra__server"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__infra__server.html">Server</a></td></tr>
<tr class="memdesc:group__infra__server"><td class="mdescLeft">&#160;</td><td class="mdescRight">Server classes. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group__infra__client"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__infra__client.html">Client</a></td></tr>
<tr class="memdesc:group__infra__client"><td class="mdescLeft">&#160;</td><td class="mdescRight">Client classes. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group__infra__codec"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__infra__codec.html">Serialization</a></td></tr>
<tr class="memdesc:group__infra__codec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classes used for message serialization. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga7530bff63dda78bc0cd733b88f231db8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7530bff63dda78bc0cd733b88f231db8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__infra.html#ga7530bff63dda78bc0cd733b88f231db8">ERPC_VERSION</a></td></tr>
<tr class="memdesc:ga7530bff63dda78bc0cd733b88f231db8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Version 1.4.0. <br /></td></tr>
<tr class="separator:ga7530bff63dda78bc0cd733b88f231db8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga5f8872e58f09a16d192bf664f9898651"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga5f8872e58f09a16d192bf664f9898651"></a>
typedef int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a></td></tr>
<tr class="memdesc:ga5f8872e58f09a16d192bf664f9898651"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type used for all status and error return values. <br /></td></tr>
<tr class="separator:ga5f8872e58f09a16d192bf664f9898651"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gacf5d3df9e7a78f29bc823b71f1529752"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__infra.html#gacf5d3df9e7a78f29bc823b71f1529752">_erpc_status</a> { <br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aad3aa76a604b7bd6c3828c50b33dca33">kErpcStatus_Success</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7374ea87a0dbfbeaf30d4cf48ac0bc14">kErpcStatus_Fail</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3d0a3bb3b575e8c00170e331283e7635">kErpcStatus_InvalidArgument</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7aa4608aa8a74a398c117e2b8ba3ef7e">kErpcStatus_Timeout</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ab47e61aa4fbaea9c88e4f50f40dd5d2a">kErpcStatus_InvalidMessageVersion</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7f56f6474929370730ffb3b447470961">kErpcStatus_ExpectedReply</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ab538a946427158413afd27456c90945d">kErpcStatus_CrcCheckFailed</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3bff393dd25fb3a82cb6742c012959c7">kErpcStatus_BufferOverrun</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aff42f37fa0019fe4e4186b9c78839ca6">kErpcStatus_UnknownName</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ac02db82027bb8ac3d7e586681ed6eacb">kErpcStatus_ConnectionFailure</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752adc60b9b2440d0fcc2ca34938e3b25072">kErpcStatus_ConnectionClosed</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ad62371146340d07afd6c9d8f9b53aef8">kErpcStatus_MemoryError</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a1a761dcd55621eb0e6620f33d5aaa1cd">kErpcStatus_ServerIsDown</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a6ba8baecca7387e53cdd77e7414a9bf4">kErpcStatus_InitFailed</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a27228549b96649e28f58852f5f7ea203">kErpcStatus_ReceiveFailed</a>, 
<br />
&#160;&#160;<a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a6b5748a4c4dc3087a70c64386dc8d7b0">kErpcStatus_SendFailed</a>
<br />
 }<tr class="memdesc:gacf5d3df9e7a78f29bc823b71f1529752"><td class="mdescLeft">&#160;</td><td class="mdescRight">eRPC status return codes.  <a href="group__infra.html#gacf5d3df9e7a78f29bc823b71f1529752">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:gacf5d3df9e7a78f29bc823b71f1529752"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="gacf5d3df9e7a78f29bc823b71f1529752"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__infra.html#gacf5d3df9e7a78f29bc823b71f1529752">_erpc_status</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>eRPC status return codes. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752aad3aa76a604b7bd6c3828c50b33dca33"></a>kErpcStatus_Success&#160;</td><td class="fielddoc">
<p>No error occurred. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a7374ea87a0dbfbeaf30d4cf48ac0bc14"></a>kErpcStatus_Fail&#160;</td><td class="fielddoc">
<p>Generic failure. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a3d0a3bb3b575e8c00170e331283e7635"></a>kErpcStatus_InvalidArgument&#160;</td><td class="fielddoc">
<p>Argument is an invalid value. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a7aa4608aa8a74a398c117e2b8ba3ef7e"></a>kErpcStatus_Timeout&#160;</td><td class="fielddoc">
<p>Operated timed out. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752ab47e61aa4fbaea9c88e4f50f40dd5d2a"></a>kErpcStatus_InvalidMessageVersion&#160;</td><td class="fielddoc">
<p>Message header contains an unknown version. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a7f56f6474929370730ffb3b447470961"></a>kErpcStatus_ExpectedReply&#160;</td><td class="fielddoc">
<p>Expected a reply message but got another message type. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752ab538a946427158413afd27456c90945d"></a>kErpcStatus_CrcCheckFailed&#160;</td><td class="fielddoc">
<p>Message is corrupted. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a3bff393dd25fb3a82cb6742c012959c7"></a>kErpcStatus_BufferOverrun&#160;</td><td class="fielddoc">
<p>Attempt to read or write past the end of a buffer. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752aff42f37fa0019fe4e4186b9c78839ca6"></a>kErpcStatus_UnknownName&#160;</td><td class="fielddoc">
<p>Could not find host with given name. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752ac02db82027bb8ac3d7e586681ed6eacb"></a>kErpcStatus_ConnectionFailure&#160;</td><td class="fielddoc">
<p>Failed to connect to host. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752adc60b9b2440d0fcc2ca34938e3b25072"></a>kErpcStatus_ConnectionClosed&#160;</td><td class="fielddoc">
<p>Connected closed by peer. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752ad62371146340d07afd6c9d8f9b53aef8"></a>kErpcStatus_MemoryError&#160;</td><td class="fielddoc">
<p>Memory allocation error. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a1a761dcd55621eb0e6620f33d5aaa1cd"></a>kErpcStatus_ServerIsDown&#160;</td><td class="fielddoc">
<p>Server is stopped. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a6ba8baecca7387e53cdd77e7414a9bf4"></a>kErpcStatus_InitFailed&#160;</td><td class="fielddoc">
<p>Transport layer initialization failed. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a27228549b96649e28f58852f5f7ea203"></a>kErpcStatus_ReceiveFailed&#160;</td><td class="fielddoc">
<p>Failed to receive data. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacf5d3df9e7a78f29bc823b71f1529752a6b5748a4c4dc3087a70c64386dc8d7b0"></a>kErpcStatus_SendFailed&#160;</td><td class="fielddoc">
<p>Failed to send data. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
